Installing QtVCP

More
13 Oct 2021 12:42 #223020 by cmorley
Replied by cmorley on topic Installing QtVCP
Do you mean the warnings? Nothing to worry about. It's shown because it didn't find the INI, because linuxcnc isn't running.

Chris
The following user(s) said Thank You: hottabich

Please Log in or Create an account to join the conversation.

More
15 Oct 2021 14:23 - 15 Oct 2021 14:24 #223205 by Muzzer
Replied by Muzzer on topic Installing QtVCP
I managed to create and run the script at the start of this thread and it seemed to install OK until I got to the part where it asked for the "base directory". Not knowing what was meant, I tried a few directories then gave up and selected exit, not knowing if this would terminate the entire install or just the final 3 option choice (GUI editor etc).
So now I'm not clear what if anything I've installed. I can see the qtvcp file in usr/bin.

The next question was how to actually run QtVCP, assuming I'd got something here to run - do I select a config from the LinuxCNC Config Selector? When I do so (sim.qtvcp_screens.industrial_lathe_wear), I get a terminate with error. Trouble is, by this stage I've stumbled a few times and don't know which step is actually the issue.

Could someone advise where I have gone wrong here? Many thanks.

File Attachment:

File Name: linuxcnc.r...0-15.txt
File Size:5 KB


Stepping back here, I'm hoping to install Andy Pugh's macros in a GUI so I can use them. The Probe Basic Lathe config doesn't seem to support them and installation of the macros with gmoccapy sounds a little tricky (I have gmoccapy installed and running OK). Should I simply default back to the Axis GUI and hope that makes life more simple?
Attachments:
Last edit: 15 Oct 2021 14:24 by Muzzer.

Please Log in or Create an account to join the conversation.

More
15 Oct 2021 21:59 - 15 Oct 2021 22:07 #223239 by phillc54
Replied by phillc54 on topic Installing QtVCP
This error "ImportError: No module named PyQt5" indicates the the script didn't run correctly.

What version of LinuxCNC are you using?

Base directory means the name of the sub directory in your home directory that you have install a run in place version of LinuxCNC, that is usually linuxcnc-dev.

If you are using LinuxCNC 2.8 then there is an udated script, I have attached a copy here.
 

File Attachment:

File Name: install_script_28.txt
File Size:4 KB


EDIT: I have update the first page to add the 2.8 script download.
 
Attachments:
Last edit: 15 Oct 2021 22:07 by phillc54.

Please Log in or Create an account to join the conversation.

More
15 Oct 2021 22:32 #223245 by Muzzer
Replied by Muzzer on topic Installing QtVCP
Thanks - yes I'm on 2.8, so will run the updated script. 

Many thanks!

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 13:10 #223295 by Muzzer
Replied by Muzzer on topic Installing QtVCP
Well that was lightning quick but it's still complaining about various missing python-pyqt5 content. Do I need to point it at some additional stuff?

Here's the terminal text attached.
 

File Attachment:

File Name: Qtvcperrorfile.txt
File Size:3 KB
Attachments:

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 22:04 #223326 by phillc54
Replied by phillc54 on topic Installing QtVCP
What Linux disto are you using?

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 22:29 #223327 by Muzzer
Replied by Muzzer on topic Installing QtVCP
Mint 20 - and LinuxCNC 2.8:
System:    Kernel: 5.10.0-8-rt-amd64 x86_64 bits: 64 compiler: N/A Desktop: Cinnamon 5.0.5 
           wm: muffin dm: LightDM Distro: Linux Mint 20.2 Uma base: Ubuntu 20.04 focal 

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 22:37 #223328 by phillc54
Replied by phillc54 on topic Installing QtVCP
have no clue ...

Is Qt5 installed?

Is python2.x installed?

Try runnining Synaptic and see if python-pyqt5 can be installed from there of if it gives a better message.
 

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 22:39 #223329 by cmorley
Replied by cmorley on topic Installing QtVCP
python2 pyqt is not available on mint 20.
python3 only
The following user(s) said Thank You: phillc54, Muzzer

Please Log in or Create an account to join the conversation.

More
16 Oct 2021 22:51 #223332 by Muzzer
Replied by Muzzer on topic Installing QtVCP
I can see
python-pyqt5.qwt-doc - "technical widget library, documentation and examples"
Should I install that?

Please Log in or Create an account to join the conversation.

Moderators: cmorley
Time to create page: 0.089 seconds
Powered by Kunena Forum